/* ANSI-C code produced by gperf version 3.0.3 */
/* Command-line: gperf -a -L ANSI-C -E -C -c -o -t -k '*' -NfindProp -Hhash_prop -Wwordlist_prop -D -s 2 cssproperties.gperf  */

#if !((' ' == 32) && ('!' == 33) && ('"' == 34) && ('#' == 35) \
      && ('%' == 37) && ('&' == 38) && ('\'' == 39) && ('(' == 40) \
      && (')' == 41) && ('*' == 42) && ('+' == 43) && (',' == 44) \
      && ('-' == 45) && ('.' == 46) && ('/' == 47) && ('0' == 48) \
      && ('1' == 49) && ('2' == 50) && ('3' == 51) && ('4' == 52) \
      && ('5' == 53) && ('6' == 54) && ('7' == 55) && ('8' == 56) \
      && ('9' == 57) && (':' == 58) && (';' == 59) && ('<' == 60) \
      && ('=' == 61) && ('>' == 62) && ('?' == 63) && ('A' == 65) \
      && ('B' == 66) && ('C' == 67) && ('D' == 68) && ('E' == 69) \
      && ('F' == 70) && ('G' == 71) && ('H' == 72) && ('I' == 73) \
      && ('J' == 74) && ('K' == 75) && ('L' == 76) && ('M' == 77) \
      && ('N' == 78) && ('O' == 79) && ('P' == 80) && ('Q' == 81) \
      && ('R' == 82) && ('S' == 83) && ('T' == 84) && ('U' == 85) \
      && ('V' == 86) && ('W' == 87) && ('X' == 88) && ('Y' == 89) \
      && ('Z' == 90) && ('[' == 91) && ('\\' == 92) && (']' == 93) \
      && ('^' == 94) && ('_' == 95) && ('a' == 97) && ('b' == 98) \
      && ('c' == 99) && ('d' == 100) && ('e' == 101) && ('f' == 102) \
      && ('g' == 103) && ('h' == 104) && ('i' == 105) && ('j' == 106) \
      && ('k' == 107) && ('l' == 108) && ('m' == 109) && ('n' == 110) \
      && ('o' == 111) && ('p' == 112) && ('q' == 113) && ('r' == 114) \
      && ('s' == 115) && ('t' == 116) && ('u' == 117) && ('v' == 118) \
      && ('w' == 119) && ('x' == 120) && ('y' == 121) && ('z' == 122) \
      && ('{' == 123) && ('|' == 124) && ('}' == 125) && ('~' == 126))
/* The character set is not based on ISO-646.  */
#error "gperf generated tables don't work with this execution character set. Please report a bug to <bug-gnu-gperf@gnu.org>."
#endif

#line 1 "cssproperties.gperf"

/* This file is automatically generated from cssproperties.in by makeprop, do not edit */
/* Copyright 1999 W. Bastian */
#include "cssproperties.h"
#line 6 "cssproperties.gperf"
struct css_prop {
    const char *name;
    int id;
};

static const struct css_prop * findProp (register const char *str, register unsigned int len);
/* maximum key range = 642, duplicates = 0 */

#ifdef __GNUC__
__inline
#else
#ifdef __cplusplus
inline
#endif
#endif
static unsigned int
hash_prop (register const char *str, register unsigned int len)
{
  static const unsigned short asso_values[] =
    {
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647,   0, 647, 647, 647, 647,
      647,  10, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647,   5,   0,   0,
        0,   0, 220,   0,   5,  20, 647,  75,   0,  20,
        5,   0,   0,  35,   0,  10,   5,  60,   5, 205,
       45, 140,  85, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647, 647, 647, 647, 647,
      647, 647, 647, 647, 647, 647
    };
  register int hval = len;

  switch (hval)
    {
      default:
        hval += asso_values[(unsigned char)str[32]];
      /*FALLTHROUGH*/
      case 32:
        hval += asso_values[(unsigned char)str[31]];
      /*FALLTHROUGH*/
      case 31:
        hval += asso_values[(unsigned char)str[30]];
      /*FALLTHROUGH*/
      case 30:
        hval += asso_values[(unsigned char)str[29]];
      /*FALLTHROUGH*/
      case 29:
        hval += asso_values[(unsigned char)str[28]];
      /*FALLTHROUGH*/
      case 28:
        hval += asso_values[(unsigned char)str[27]];
      /*FALLTHROUGH*/
      case 27:
        hval += asso_values[(unsigned char)str[26]];
      /*FALLTHROUGH*/
      case 26:
        hval += asso_values[(unsigned char)str[25]];
      /*FALLTHROUGH*/
      case 25:
        hval += asso_values[(unsigned char)str[24]];
      /*FALLTHROUGH*/
      case 24:
        hval += asso_values[(unsigned char)str[23]];
      /*FALLTHROUGH*/
      case 23:
        hval += asso_values[(unsigned char)str[22]];
      /*FALLTHROUGH*/
      case 22:
        hval += asso_values[(unsigned char)str[21]];
      /*FALLTHROUGH*/
      case 21:
        hval += asso_values[(unsigned char)str[20]];
      /*FALLTHROUGH*/
      case 20:
        hval += asso_values[(unsigned char)str[19]];
      /*FALLTHROUGH*/
      case 19:
        hval += asso_values[(unsigned char)str[18]];
      /*FALLTHROUGH*/
      case 18:
        hval += asso_values[(unsigned char)str[17]];
      /*FALLTHROUGH*/
      case 17:
        hval += asso_values[(unsigned char)str[16]];
      /*FALLTHROUGH*/
      case 16:
        hval += asso_values[(unsigned char)str[15]];
      /*FALLTHROUGH*/
      case 15:
        hval += asso_values[(unsigned char)str[14]];
      /*FALLTHROUGH*/
      case 14:
        hval += asso_values[(unsigned char)str[13]];
      /*FALLTHROUGH*/
      case 13:
        hval += asso_values[(unsigned char)str[12]];
      /*FALLTHROUGH*/
      case 12:
        hval += asso_values[(unsigned char)str[11]];
      /*FALLTHROUGH*/
      case 11:
        hval += asso_values[(unsigned char)str[10]];
      /*FALLTHROUGH*/
      case 10:
        hval += asso_values[(unsigned char)str[9]];
      /*FALLTHROUGH*/
      case 9:
        hval += asso_values[(unsigned char)str[8]];
      /*FALLTHROUGH*/
      case 8:
        hval += asso_values[(unsigned char)str[7]];
      /*FALLTHROUGH*/
      case 7:
        hval += asso_values[(unsigned char)str[6]];
      /*FALLTHROUGH*/
      case 6:
        hval += asso_values[(unsigned char)str[5]];
      /*FALLTHROUGH*/
      case 5:
        hval += asso_values[(unsigned char)str[4]];
      /*FALLTHROUGH*/
      case 4:
        hval += asso_values[(unsigned char)str[3]];
      /*FALLTHROUGH*/
      case 3:
        hval += asso_values[(unsigned char)str[2]];
      /*FALLTHROUGH*/
      case 2:
        hval += asso_values[(unsigned char)str[1]];
      /*FALLTHROUGH*/
      case 1:
        hval += asso_values[(unsigned char)str[0]];
        break;
    }
  return hval;
}

#ifdef __GNUC__
__inline
#ifdef __GNUC_STDC_INLINE__
__attribute__ ((__gnu_inline__))
#endif
#endif
const struct css_prop *
findProp (register const char *str, register unsigned int len)
{
  enum
    {
      TOTAL_KEYWORDS = 143,
      MIN_WORD_LENGTH = 3,
      MAX_WORD_LENGTH = 33,
      MIN_HASH_VALUE = 5,
      MAX_HASH_VALUE = 646
    };

  static const struct css_prop wordlist_prop[] =
    {
#line 49 "cssproperties.gperf"
      {"color", CSS_PROP_COLOR},
#line 123 "cssproperties.gperf"
      {"border", CSS_PROP_BORDER},
#line 113 "cssproperties.gperf"
      {"top", CSS_PROP_TOP},
#line 47 "cssproperties.gperf"
      {"clear", CSS_PROP_CLEAR},
#line 124 "cssproperties.gperf"
      {"border-color", CSS_PROP_BORDER_COLOR},
#line 126 "cssproperties.gperf"
      {"border-top", CSS_PROP_BORDER_TOP},
#line 33 "cssproperties.gperf"
      {"border-top-color", CSS_PROP_BORDER_TOP_COLOR},
#line 48 "cssproperties.gperf"
      {"clip", CSS_PROP_CLIP},
#line 152 "cssproperties.gperf"
      {"stop-color", CSS_PROP_STOP_COLOR},
#line 50 "cssproperties.gperf"
      {"content", CSS_PROP_CONTENT},
#line 29 "cssproperties.gperf"
      {"border-collapse", CSS_PROP_BORDER_COLLAPSE},
#line 85 "cssproperties.gperf"
      {"orphans", CSS_PROP_ORPHANS},
#line 104 "cssproperties.gperf"
      {"right", CSS_PROP_RIGHT},
#line 45 "cssproperties.gperf"
      {"bottom", CSS_PROP_BOTTOM},
#line 136 "cssproperties.gperf"
      {"padding", CSS_PROP_PADDING},
#line 63 "cssproperties.gperf"
      {"height", CSS_PROP_HEIGHT},
#line 127 "cssproperties.gperf"
      {"border-right", CSS_PROP_BORDER_RIGHT},
#line 128 "cssproperties.gperf"
      {"border-bottom", CSS_PROP_BORDER_BOTTOM},
#line 154 "cssproperties.gperf"
      {"clip-path", CSS_PROP_CLIP_PATH},
#line 94 "cssproperties.gperf"
      {"padding-top", CSS_PROP_PADDING_TOP},
#line 34 "cssproperties.gperf"
      {"border-right-color", CSS_PROP_BORDER_RIGHT_COLOR},
#line 35 "cssproperties.gperf"
      {"border-bottom-color", CSS_PROP_BORDER_BOTTOM_COLOR},
#line 137 "cssproperties.gperf"
      {"scrollbar-base-color", CSS_PROP_SCROLLBAR_BASE_COLOR},
#line 30 "cssproperties.gperf"
      {"border-spacing", CSS_PROP_BORDER_SPACING},
#line 134 "cssproperties.gperf"
      {"margin", CSS_PROP_MARGIN},
#line 54 "cssproperties.gperf"
      {"direction", CSS_PROP_DIRECTION},
#line 65 "cssproperties.gperf"
      {"letter-spacing", CSS_PROP_LETTER_SPACING},
#line 70 "cssproperties.gperf"
      {"margin-top", CSS_PROP_MARGIN_TOP},
#line 102 "cssproperties.gperf"
      {"position", CSS_PROP_POSITION},
#line 66 "cssproperties.gperf"
      {"line-height", CSS_PROP_LINE_HEIGHT},
#line 95 "cssproperties.gperf"
      {"padding-right", CSS_PROP_PADDING_RIGHT},
#line 96 "cssproperties.gperf"
      {"padding-bottom", CSS_PROP_PADDING_BOTTOM},
#line 53 "cssproperties.gperf"
      {"cursor", CSS_PROP_CURSOR},
#line 46 "cssproperties.gperf"
      {"caption-side", CSS_PROP_CAPTION_SIDE},
#line 141 "cssproperties.gperf"
      {"scrollbar-3dlight-color", CSS_PROP_SCROLLBAR_3DLIGHT_COLOR},
#line 115 "cssproperties.gperf"
      {"vertical-align", CSS_PROP_VERTICAL_ALIGN},
#line 155 "cssproperties.gperf"
      {"clip-rule", CSS_PROP_CLIP_RULE},
#line 83 "cssproperties.gperf"
      {"min-height", CSS_PROP_MIN_HEIGHT},
#line 71 "cssproperties.gperf"
      {"margin-right", CSS_PROP_MARGIN_RIGHT},
#line 72 "cssproperties.gperf"
      {"margin-bottom", CSS_PROP_MARGIN_BOTTOM},
#line 107 "cssproperties.gperf"
      {"text-align", CSS_PROP_TEXT_ALIGN},
#line 148 "cssproperties.gperf"
      {"stroke", CSS_PROP_STROKE},
#line 135 "cssproperties.gperf"
      {"outline", CSS_PROP_OUTLINE},
#line 52 "cssproperties.gperf"
      {"counter-reset", CSS_PROP_COUNTER_RESET},
#line 140 "cssproperties.gperf"
      {"scrollbar-highlight-color", CSS_PROP_SCROLLBAR_HIGHLIGHT_COLOR},
#line 109 "cssproperties.gperf"
      {"text-indent", CSS_PROP_TEXT_INDENT},
#line 87 "cssproperties.gperf"
      {"outline-color", CSS_PROP_OUTLINE_COLOR},
#line 108 "cssproperties.gperf"
      {"text-decoration", CSS_PROP_TEXT_DECORATION},
#line 81 "cssproperties.gperf"
      {"max-height", CSS_PROP_MAX_HEIGHT},
#line 103 "cssproperties.gperf"
      {"quotes", CSS_PROP_QUOTES},
#line 105 "cssproperties.gperf"
      {"size", CSS_PROP_SIZE},
#line 143 "cssproperties.gperf"
      {"scrollbar-track-color", CSS_PROP_SCROLLBAR_TRACK_COLOR},
#line 114 "cssproperties.gperf"
      {"unicode-bidi", CSS_PROP_UNICODE_BIDI},
#line 51 "cssproperties.gperf"
      {"counter-increment", CSS_PROP_COUNTER_INCREMENT},
#line 122 "cssproperties.gperf"
      {"background", CSS_PROP_BACKGROUND},
#line 101 "cssproperties.gperf"
      {"page-break-inside", CSS_PROP_PAGE_BREAK_INSIDE},
#line 14 "cssproperties.gperf"
      {"background-color", CSS_PROP_BACKGROUND_COLOR},
#line 121 "cssproperties.gperf"
      {"z-index", CSS_PROP_Z_INDEX},
#line 125 "cssproperties.gperf"
      {"border-style", CSS_PROP_BORDER_STYLE},
#line 16 "cssproperties.gperf"
      {"background-repeat", CSS_PROP_BACKGROUND_REPEAT},
#line 37 "cssproperties.gperf"
      {"border-top-style", CSS_PROP_BORDER_TOP_STYLE},
#line 86 "cssproperties.gperf"
      {"opacity", CSS_PROP_OPACITY},
#line 98 "cssproperties.gperf"
      {"-khtml-padding-start", CSS_PROP__KHTML_PADDING_START},
#line 55 "cssproperties.gperf"
      {"display", CSS_PROP_DISPLAY},
#line 56 "cssproperties.gperf"
      {"empty-cells", CSS_PROP_EMPTY_CELLS},
#line 131 "cssproperties.gperf"
      {"box-sizing", CSS_PROP_BOX_SIZING},
#line 153 "cssproperties.gperf"
      {"stop-opacity", CSS_PROP_STOP_OPACITY},
#line 74 "cssproperties.gperf"
      {"-khtml-margin-start", CSS_PROP__KHTML_MARGIN_START},
#line 133 "cssproperties.gperf"
      {"list-style", CSS_PROP_LIST_STYLE},
#line 38 "cssproperties.gperf"
      {"border-right-style", CSS_PROP_BORDER_RIGHT_STYLE},
#line 39 "cssproperties.gperf"
      {"border-bottom-style", CSS_PROP_BORDER_BOTTOM_STYLE},
#line 15 "cssproperties.gperf"
      {"background-image", CSS_PROP_BACKGROUND_IMAGE},
#line 32 "cssproperties.gperf"
      {"-khtml-border-vertical-spacing", CSS_PROP__KHTML_BORDER_VERTICAL_SPACING},
#line 28 "cssproperties.gperf"
      {"-khtml-border-radius", CSS_PROP__KHTML_BORDER_RADIUS},
#line 17 "cssproperties.gperf"
      {"background-attachment", CSS_PROP_BACKGROUND_ATTACHMENT},
#line 18 "cssproperties.gperf"
      {"background-position", CSS_PROP_BACKGROUND_POSITION},
#line 64 "cssproperties.gperf"
      {"left", CSS_PROP_LEFT},
#line 106 "cssproperties.gperf"
      {"table-layout", CSS_PROP_TABLE_LAYOUT},
#line 132 "cssproperties.gperf"
      {"font", CSS_PROP_FONT},
#line 57 "cssproperties.gperf"
      {"float", CSS_PROP_FLOAT},
#line 129 "cssproperties.gperf"
      {"border-left", CSS_PROP_BORDER_LEFT},
#line 75 "cssproperties.gperf"
      {"-khtml-marquee", CSS_PROP__KHTML_MARQUEE},
#line 119 "cssproperties.gperf"
      {"width", CSS_PROP_WIDTH},
#line 36 "cssproperties.gperf"
      {"border-left-color", CSS_PROP_BORDER_LEFT_COLOR},
#line 147 "cssproperties.gperf"
      {"fill", CSS_PROP_FILL},
#line 144 "cssproperties.gperf"
      {"scrollbar-arrow-color", CSS_PROP_SCROLLBAR_ARROW_COLOR},
#line 130 "cssproperties.gperf"
      {"border-width", CSS_PROP_BORDER_WIDTH},
#line 116 "cssproperties.gperf"
      {"visibility", CSS_PROP_VISIBILITY},
#line 67 "cssproperties.gperf"
      {"list-style-image", CSS_PROP_LIST_STYLE_IMAGE},
#line 79 "cssproperties.gperf"
      {"-khtml-marquee-speed", CSS_PROP__KHTML_MARQUEE_SPEED},
#line 41 "cssproperties.gperf"
      {"border-top-width", CSS_PROP_BORDER_TOP_WIDTH},
#line 120 "cssproperties.gperf"
      {"word-spacing", CSS_PROP_WORD_SPACING},
#line 89 "cssproperties.gperf"
      {"outline-style", CSS_PROP_OUTLINE_STYLE},
#line 138 "cssproperties.gperf"
      {"scrollbar-face-color", CSS_PROP_SCROLLBAR_FACE_COLOR},
#line 117 "cssproperties.gperf"
      {"white-space", CSS_PROP_WHITE_SPACE},
#line 139 "cssproperties.gperf"
      {"scrollbar-shadow-color", CSS_PROP_SCROLLBAR_SHADOW_COLOR},
#line 24 "cssproperties.gperf"
      {"-khtml-border-top-right-radius", CSS_PROP__KHTML_BORDER_TOP_RIGHT_RADIUS},
#line 97 "cssproperties.gperf"
      {"padding-left", CSS_PROP_PADDING_LEFT},
#line 68 "cssproperties.gperf"
      {"list-style-position", CSS_PROP_LIST_STYLE_POSITION},
#line 19 "cssproperties.gperf"
      {"background-position-x", CSS_PROP_BACKGROUND_POSITION_X},
#line 151 "cssproperties.gperf"
      {"stroke-opacity", CSS_PROP_STROKE_OPACITY},
#line 146 "cssproperties.gperf"
      {"-khtml-user-input", CSS_PROP__KHTML_USER_INPUT},
#line 42 "cssproperties.gperf"
      {"border-right-width", CSS_PROP_BORDER_RIGHT_WIDTH},
#line 43 "cssproperties.gperf"
      {"border-bottom-width", CSS_PROP_BORDER_BOTTOM_WIDTH},
#line 73 "cssproperties.gperf"
      {"margin-left", CSS_PROP_MARGIN_LEFT},
#line 61 "cssproperties.gperf"
      {"font-variant", CSS_PROP_FONT_VARIANT},
#line 84 "cssproperties.gperf"
      {"min-width", CSS_PROP_MIN_WIDTH},
#line 111 "cssproperties.gperf"
      {"text-shadow", CSS_PROP_TEXT_SHADOW},
#line 21 "cssproperties.gperf"
      {"-khtml-background-clip", CSS_PROP__KHTML_BACKGROUND_CLIP},
#line 25 "cssproperties.gperf"
      {"-khtml-border-bottom-right-radius", CSS_PROP__KHTML_BORDER_BOTTOM_RIGHT_RADIUS},
#line 76 "cssproperties.gperf"
      {"-khtml-marquee-direction", CSS_PROP__KHTML_MARQUEE_DIRECTION},
#line 31 "cssproperties.gperf"
      {"-khtml-border-horizontal-spacing", CSS_PROP__KHTML_BORDER_HORIZONTAL_SPACING},
#line 77 "cssproperties.gperf"
      {"-khtml-marquee-increment", CSS_PROP__KHTML_MARQUEE_INCREMENT},
#line 78 "cssproperties.gperf"
      {"-khtml-marquee-repetition", CSS_PROP__KHTML_MARQUEE_REPETITION},
#line 156 "cssproperties.gperf"
      {"fill-rule", CSS_PROP_FILL_RULE},
#line 82 "cssproperties.gperf"
      {"max-width", CSS_PROP_MAX_WIDTH},
#line 22 "cssproperties.gperf"
      {"-khtml-background-origin", CSS_PROP__KHTML_BACKGROUND_ORIGIN},
#line 100 "cssproperties.gperf"
      {"page-break-before", CSS_PROP_PAGE_BREAK_BEFORE},
#line 99 "cssproperties.gperf"
      {"page-break-after", CSS_PROP_PAGE_BREAK_AFTER},
#line 112 "cssproperties.gperf"
      {"text-transform", CSS_PROP_TEXT_TRANSFORM},
#line 149 "cssproperties.gperf"
      {"stroke-width", CSS_PROP_STROKE_WIDTH},
#line 90 "cssproperties.gperf"
      {"outline-width", CSS_PROP_OUTLINE_WIDTH},
#line 142 "cssproperties.gperf"
      {"scrollbar-darkshadow-color", CSS_PROP_SCROLLBAR_DARKSHADOW_COLOR},
#line 69 "cssproperties.gperf"
      {"list-style-type", CSS_PROP_LIST_STYLE_TYPE},
#line 59 "cssproperties.gperf"
      {"font-size", CSS_PROP_FONT_SIZE},
#line 20 "cssproperties.gperf"
      {"background-position-y", CSS_PROP_BACKGROUND_POSITION_Y},
#line 23 "cssproperties.gperf"
      {"-khtml-background-size", CSS_PROP__KHTML_BACKGROUND_SIZE},
#line 60 "cssproperties.gperf"
      {"font-style", CSS_PROP_FONT_STYLE},
#line 40 "cssproperties.gperf"
      {"border-left-style", CSS_PROP_BORDER_LEFT_STYLE},
#line 80 "cssproperties.gperf"
      {"-khtml-marquee-style", CSS_PROP__KHTML_MARQUEE_STYLE},
#line 150 "cssproperties.gperf"
      {"fill-opacity", CSS_PROP_FILL_OPACITY},
#line 91 "cssproperties.gperf"
      {"overflow", CSS_PROP_OVERFLOW},
#line 118 "cssproperties.gperf"
      {"widows", CSS_PROP_WIDOWS},
#line 27 "cssproperties.gperf"
      {"-khtml-border-top-left-radius", CSS_PROP__KHTML_BORDER_TOP_LEFT_RADIUS},
#line 62 "cssproperties.gperf"
      {"font-weight", CSS_PROP_FONT_WEIGHT},
#line 44 "cssproperties.gperf"
      {"border-left-width", CSS_PROP_BORDER_LEFT_WIDTH},
#line 92 "cssproperties.gperf"
      {"overflow-x", CSS_PROP_OVERFLOW_X},
#line 26 "cssproperties.gperf"
      {"-khtml-border-bottom-left-radius", CSS_PROP__KHTML_BORDER_BOTTOM_LEFT_RADIUS},
#line 110 "cssproperties.gperf"
      {"text-overflow", CSS_PROP_TEXT_OVERFLOW},
#line 88 "cssproperties.gperf"
      {"outline-offset", CSS_PROP_OUTLINE_OFFSET},
#line 145 "cssproperties.gperf"
      {"-khtml-flow-mode", CSS_PROP__KHTML_FLOW_MODE},
#line 93 "cssproperties.gperf"
      {"overflow-y", CSS_PROP_OVERFLOW_Y},
#line 58 "cssproperties.gperf"
      {"font-family", CSS_PROP_FONT_FAMILY}
    };

  static const short lookup[] =
    {
       -1,  -1,  -1,  -1,  -1,   0,   1,  -1,   2,  -1,
        3,  -1,   4,  -1,  -1,   5,  -1,  -1,  -1,  -1,
       -1,   6,  -1,  -1,   7,   8,  -1,   9,  -1,  -1,
       10,  -1,  11,  -1,  -1,  12,  13,  14,  -1,  -1,
       -1,  15,  16,  17,  18,  -1,  19,  -1,  20,  21,
       22,  -1,  -1,  -1,  23,  -1,  24,  -1,  -1,  25,
       -1,  -1,  -1,  -1,  26,  27,  -1,  -1,  28,  -1,
       -1,  29,  -1,  30,  31,  -1,  32,  33,  34,  35,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  36,
       37,  -1,  38,  39,  -1,  40,  41,  42,  43,  -1,
       44,  45,  -1,  46,  -1,  47,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  48,  49,  -1,  -1,  50,
       -1,  51,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  52,  -1,  -1,
       -1,  -1,  53,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  54,  -1,  55,  -1,  -1,
       -1,  56,  57,  -1,  -1,  -1,  -1,  58,  -1,  -1,
       -1,  -1,  59,  -1,  -1,  -1,  60,  61,  -1,  -1,
       62,  -1,  63,  -1,  -1,  -1,  64,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  65,  -1,  66,  -1,  67,
       68,  -1,  -1,  69,  70,  -1,  71,  -1,  -1,  -1,
       72,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       73,  74,  -1,  -1,  75,  -1,  -1,  -1,  -1,  76,
       -1,  -1,  77,  -1,  78,  79,  80,  -1,  -1,  81,
       82,  -1,  83,  -1,  84,  -1,  85,  86,  -1,  -1,
       87,  88,  -1,  -1,  -1,  89,  90,  91,  92,  -1,
       93,  94,  95,  -1,  -1,  96,  -1,  97,  -1,  98,
       -1,  99,  -1,  -1, 100,  -1,  -1,  -1,  -1,  -1,
       -1,  -1, 101, 102, 103,  -1, 104, 105,  -1, 106,
       -1, 107, 108, 109,  -1,  -1,  -1,  -1,  -1, 110,
       -1,  -1, 111,  -1, 112, 113,  -1,  -1,  -1, 114,
       -1,  -1,  -1,  -1, 115,  -1,  -1,  -1,  -1, 116,
       -1,  -1, 117,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1, 118,  -1,  -1, 119,  -1,  -1, 120, 121,  -1,
       -1,  -1,  -1,  -1,  -1,  -1, 122,  -1,  -1,  -1,
      123,  -1,  -1,  -1, 124,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1, 125,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1, 126,  -1,  -1,
       -1,  -1,  -1,  -1,  -1, 127,  -1, 128,  -1,  -1,
      129,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1, 130,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1, 131,  -1,
       -1,  -1,  -1,  -1,  -1,  -1, 132,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1, 133,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1, 134, 135,  -1,  -1,
       -1,  -1,  -1,  -1,  -1, 136,  -1, 137,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1, 138,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1, 139,
       -1,  -1,  -1,  -1,  -1,  -1, 140,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
      141,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
       -1,  -1,  -1,  -1,  -1,  -1, 142
    };

  if (len <= MAX_WORD_LENGTH && len >= MIN_WORD_LENGTH)
    {
      register int key = hash_prop (str, len);

      if (key <= MAX_HASH_VALUE && key >= 0)
        {
          register int index = lookup[key];

          if (index >= 0)
            {
              register const char *s = wordlist_prop[index].name;

              if (*str == *s && !strncmp (str + 1, s + 1, len - 1) && s[len] == '\0')
                return &wordlist_prop[index];
            }
        }
    }
  return 0;
}
#line 157 "cssproperties.gperf"

static const char * const propertyList[] = {
"",
"background-color", 
"background-image", 
"background-repeat", 
"background-attachment", 
"background-position", 
"background-position-x", 
"background-position-y", 
"-khtml-background-clip", 
"-khtml-background-origin", 
"-khtml-background-size", 
"-khtml-border-top-right-radius", 
"-khtml-border-bottom-right-radius", 
"-khtml-border-bottom-left-radius", 
"-khtml-border-top-left-radius", 
"-khtml-border-radius", 
"border-collapse", 
"border-spacing", 
"-khtml-border-horizontal-spacing", 
"-khtml-border-vertical-spacing", 
"border-top-color", 
"border-right-color", 
"border-bottom-color", 
"border-left-color", 
"border-top-style", 
"border-right-style", 
"border-bottom-style", 
"border-left-style", 
"border-top-width", 
"border-right-width", 
"border-bottom-width", 
"border-left-width", 
"bottom", 
"caption-side", 
"clear", 
"clip", 
"color", 
"content", 
"counter-increment", 
"counter-reset", 
"cursor", 
"direction", 
"display", 
"empty-cells", 
"float", 
"font-family", 
"font-size", 
"font-style", 
"font-variant", 
"font-weight", 
"height", 
"left", 
"letter-spacing", 
"line-height", 
"list-style-image", 
"list-style-position", 
"list-style-type", 
"margin-top", 
"margin-right", 
"margin-bottom", 
"margin-left", 
"-khtml-margin-start", 
"-khtml-marquee", 
"-khtml-marquee-direction", 
"-khtml-marquee-increment", 
"-khtml-marquee-repetition", 
"-khtml-marquee-speed", 
"-khtml-marquee-style", 
"max-height", 
"max-width", 
"min-height", 
"min-width", 
"orphans", 
"opacity", 
"outline-color", 
"outline-offset", 
"outline-style", 
"outline-width", 
"overflow", 
"overflow-x", 
"overflow-y", 
"padding-top", 
"padding-right", 
"padding-bottom", 
"padding-left", 
"-khtml-padding-start", 
"page-break-after", 
"page-break-before", 
"page-break-inside", 
"position", 
"quotes", 
"right", 
"size", 
"table-layout", 
"text-align", 
"text-decoration", 
"text-indent", 
"text-overflow", 
"text-shadow", 
"text-transform", 
"top", 
"unicode-bidi", 
"vertical-align", 
"visibility", 
"white-space", 
"widows", 
"width", 
"word-spacing", 
"z-index", 
"background", 
"border", 
"border-color", 
"border-style", 
"border-top", 
"border-right", 
"border-bottom", 
"border-left", 
"border-width", 
"box-sizing", 
"font", 
"list-style", 
"margin", 
"outline", 
"padding", 
"scrollbar-base-color", 
"scrollbar-face-color", 
"scrollbar-shadow-color", 
"scrollbar-highlight-color", 
"scrollbar-3dlight-color", 
"scrollbar-darkshadow-color", 
"scrollbar-track-color", 
"scrollbar-arrow-color", 
"-khtml-flow-mode", 
"-khtml-user-input", 
"fill", 
"stroke", 
"stroke-width", 
"fill-opacity", 
"stroke-opacity", 
"stop-color", 
"stop-opacity", 
"clip-path", 
"clip-rule", 
"fill-rule", 
    0
};
DOMString getPropertyName(unsigned short id)
{
    if(id >= CSS_PROP_TOTAL || id == 0)
      return DOMString();
    else
      return DOMString(propertyList[id]);
}

